Update General Profile Data
PATCH
https://api.getcovent.com/api/v1/individuals/{id}Update general profile data such as status, tags, or relationship metadata.
How to Call
Use one of the examples below to call this endpoint from your own integration.
curl -X PATCH "https://api.getcovent.com/api/v1/individuals/{id}" \
-H "Authorization: Bearer <API_KEY>" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"general": {
"status": "paused"
},
"tags": [
"vip",
"watchlist"
],
"relationship_context": {
"owner": "alex@getcovent.com"
}
}'Request
Review headers, parameters, and body fields before calling this endpoint.
AuthorizationstringRequired
Bearer token for the proposed external API contract.
Example: Bearer <API_KEY>AcceptstringRequired
Response format header.
Example: application/jsonContent-TypestringRequired
JSON request body header.
Example: application/jsonidstringRequired
id path parameter.
Example: <id>generalobjectRequired
general request field.
Example: {"status":"paused"}tagsarrayRequired
tags request field.
Example: ["vip","watchlist"]relationship_contextobjectRequired
relationship_context request field.
Example: {"owner":"alex@getcovent.com"}Response
200application/jsonidstringRequired
id response field.
Example: ind_123generalobjectRequired
general response field.
Example: {"full_name":"Jordan Lee","status":"paused"}tagsarrayRequired
tags response field.
Example: ["vip","watchlist"]updated_atstringRequired
updated_at response field.
Example: 2026-04-17T20:18:00ZResponse Example
{
"id": "ind_123",
"general": {
"full_name": "Jordan Lee",
"status": "paused"
},
"tags": ["vip", "watchlist"],
"updated_at": "2026-04-17T20:18:00Z"
}